%global commit 358b3b588de2888a898f6e1011f29fd0390eeba6
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           ceph-ansible
Version:        3.0.0
Release:        0.rc7.2.g358b3b5%{?dist}
Summary:        Ansible playbooks for Ceph
# Some files have been copied from Ansible (GPLv3+). For example:
#  library/ceph_facts
#  plugins/actions/config_template.py
#  roles/ceph-common/plugins/actions/config_template.py
License:        ASL 2.0 and GPLv3+
URL:            https://github.com/ceph/ceph-ansible
Source0:        %{name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires: ansible >= 2.2.0.0
BuildRequires: python2-devel

Requires: ansible >= 2.2.0.0
Requires: python-netaddr

%description
Ansible playbooks for Ceph

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}%{_datarootdir}/ceph-ansible

for f in ansible.cfg *.yml *.sample group_vars roles library plugins infrastructure-playbooks; do
  cp -a $f %{buildroot}%{_datarootdir}/ceph-ansible
done

pushd %{buildroot}%{_datarootdir}/ceph-ansible
  # Strip coreos files.
  # These are unneeded on RPM-based distros, and the playbooks download random
  # things from around the internet.
  rm -r roles/ceph-common-coreos
  rm group_vars/common-coreoss.yml.sample
  # These untested playbooks are too unstable for users.
  rm -r infrastructure-playbooks/untested-by-ci
popd

# Strip iscsi files.
# These are just placeholders until ceph-iscsi-gw can merge into
# ceph-ansible. (See https://bugzilla.redhat.com/1454945).
pushd %{buildroot}%{_datarootdir}/ceph-ansible
  rm -r roles/ceph-iscsi-gw
popd

%check
# Borrowed from upstream's .travis.yml:
ansible-playbook -i dummy-ansible-hosts test.yml --syntax-check

%files
%doc README.rst
%license LICENSE
%{_datarootdir}/ceph-ansible

%changelog
